SpareSpare Docs
GuidesAPI Reference

Providers

List available open banking providers and institutions.

GET
/providers
Authorization
Header

Regulatory jurisdiction the request routes to (e.g. `UAE`, `KSA`, `MAIN`). Match it to the market you're integrating.

Query

ISO country code to filter results (e.g. `AE`, `SA`, `BH`).

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/providers" \  -H "x-tenant: KSA"
{  "data": [    {      "country": "UAE",      "id": "adcb",      "name": "ADCB"    },    {      "country": "UAE",      "id": "fab",      "name": "FAB"    }  ]}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "not_found",  "details": {},  "message": "string"}